//timers.c
#include "timers.h"
#include "clock.h"
#include <pic18fx490.h>

char update = 0;

////////////////////////////////////////////////////////
//// Interrupt
////////////////////////////////////////////////////////
#pragma interrupt_level 1
static void interrupt ISR(void)
{
	//timer1 interupt
    if((TMR1IF)&&(TMR1IE))
    {
		// Stop Timer		
		TMR1ON = 0;
		
		// Clear Timer1 counter
		TMR1H = 0x80;
		TMR1L = 0x00;
		
		// Start Timer	
		TMR1ON = 1;

		// Clear interupt flag
        TMR1IF = 0;

		// Increse second
		Increment1Second();
	
		// Update
		update = 1;
    }

	//transmit interrupt routine
	if((TXIE)&&(TXIF)) 
	{
		//TXREG=DATA;
		//TXIE=0;
	}
}


void InitTimer1(void) {

	// 16-bit, 1:8 Prescale value, Timer1 oscillator is enabled
	// Do not synchronize, External clock from pin RC0/T1OSO/T13CKI
	// Enables Timer1
	T1CON = 0x8F;

	// Clear overflow flag
	// PIR1 = 0;
	TMR1IF = 0;
	
	// Enable TIMER1 interrupts		
	// PIE1 = 1;
	TMR1IE = 1;
	
	// Load initial value to TIMER1
	TMR1 = 0x8000;

	// load function to PORTC second bit
	RC1 = 1;
	
}
